export declare type MutableContextValue<T> = [T, (newValue: T) => void];
export default class MutableContext<T> {
    value: T;
    private callbacks;
    constructor(initialValue: T);
    getValue(): MutableContextValue<T>;
    setValue(newValue: T): void;
    subscribe(callback: Function): void;
    unsubscribe(callback: Function): void;
}
