"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MutableContext {
    constructor(initialValue) {
        this.value = initialValue;
        this.callbacks = new Set();
        this.setValue = this.setValue.bind(this);
    }
    getValue() {
        return [this.value, this.setValue];
    }
    setValue(newValue) {
        this.value = newValue;
        this.callbacks.forEach((callback) => callback());
    }
    subscribe(callback) {
        this.callbacks.add(callback);
    }
    unsubscribe(callback) {
        this.callbacks.delete(callback);
    }
}
exports.default = MutableContext;
